Skip to content
Start here

Delete Regional Hostname

client.Addressing.RegionalHostnames.Delete(ctx, hostname, body) (*RegionalHostnameDeleteResponse, error)
DELETE/zones/{zone_id}/addressing/regional_hostnames/{hostname}

Delete the region configuration for a specific Regional Hostname.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS Write
ParametersExpand Collapse
hostname string

DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g *.example.com

body RegionalHostnameDeleteParams
ZoneID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type RegionalHostnameDeleteResponse struct{…}
Errors []RegionalHostnameDeleteResponseError
Code int64
minimum1000
Message string
DocumentationURL stringoptional
Source RegionalHostnameDeleteResponseErrorsSourceoptional
Pointer stringoptional
Messages []RegionalHostnameDeleteResponseMessage
Code int64
minimum1000
Message string
DocumentationURL stringoptional
Source RegionalHostnameDeleteResponseMessagesSourceoptional
Pointer stringoptional
Success RegionalHostnameDeleteResponseSuccess

Whether the API call was successful.

Delete Regional Hostname

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/addressing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  regionalHostname, err := client.Addressing.RegionalHostnames.Delete(
    context.TODO(),
    "foo.example.com",
    addressing.RegionalHostnameDeleteParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", regionalHostname.Errors)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}